Summary:     Command line tool and library for client-side URL transfers (cURL)
Name:        curl
Version:     7.12.2
Release:     3.pp
License:     MPL
Group:       Applications/Internet
Source0:     http://%{name}.sourceforge.net/download/%{name}-%{version}.tar.bz2
Source1:     http://%{name}.haxx.se/ca/cacert.pem
URL:         http://%{name}.sourceforge.net/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Daniel Stenberg <daniel@haxx.se>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    openssl097 zlib krb5-libs
Provides:    %{name}.pp lib%{name}.pp
Prereq:      /bin/bash /sbin/ldconfig
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel zlib-devel binutils bison perl
BuildPrereq: krb5-devel groff
ExclusiveOS: linux

%description
cURL is a tool for transferring files using URL syntax. It
supports HTTP, HTTPS, FTP, FTPS, DICT, TELNET, LDAP, FILE
and GOPHER, as well as HTTP-post, HTTP-put, cookies, FTP
upload, resumed transfers, passwords, portnumbers, SSL certs,
Kerberos and proxies. It is powered by libcurl, the client-
side URL transfer library. There are bindings/interfaces to
libcurl for more than a dozen languages and environments.


%package devel
Summary:     Development tools for cURL
Group:       Development/Libraries
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-devel.pp

%package utils
Summary:     cURL utilities
Group:       Applications/System
Requires:    %{name} = %{version}-%{release} %{name}.pp
Provides:    %{name}-utils.pp


%description devel
The %{name}-devel package contains the static libraries and
header files for developing software with cURL.

%description utils
The %{name}-utils package contains the cURL utilities.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
./configure \
	--prefix=/usr        \
	--sysconfdir=/etc    \
	--localstatedir=/var \
	--mandir=/usr/share/man \
	--enable-shared      \
	--enable-static      \
	--enable-http        \
	--enable-ftp         \
	--enable-gopher      \
	--enable-file        \
	--enable-ldap        \
	--enable-dict        \
	--enable-telnet      \
	--enable-ipv6        \
	--enable-nonblocking \
	--enable-debug       \
	--enable-thread      \
	--with-ssl           \
	--with-zlib          \
	--with-gssapi=/usr/kerberos \
	--with-ca-bundle=/usr/share/%{name}/%{name}-%{version}-ca-bundle.crt
make all


%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/curl/curl-%{version}-ca-bundle.crt
mv docs/examples .


%post
/sbin/ldconfig


%postun
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES COPYING README RELEASE-NOTES
/usr/lib/lib*.so.*
#%dir /usr/share/curl
%config(noreplace) /usr/share/curl/*

%files devel
%defattr(-,root,root)
%doc docs/BINDINGS docs/BUGS docs/CONTRIBUTE docs/FAQ docs/FEATURES
%doc docs/HISTORY docs/INSTALL docs/INTERNALS docs/KNOWN_BUGS docs/LICENSE*
%doc docs/MANUAL docs/README* docs/RESOURCES docs/SSLCERTS docs/THANKS
%doc docs/TheArtOfHttpScripting docs/TODO docs/VERSIONS docs/*.pdf docs/*.html
%doc %dir examples
/usr/bin/curl-config
%dir /usr/include/curl
/usr/include/curl/*
/usr/lib/lib*.so
/usr/lib/lib*.*a
/usr/share/man/man1/curl-config.*
/usr/share/man/man3/*

%files utils
%defattr(-,root,root)
/usr/bin/curl
/usr/share/man/man1/curl.*


%changelog
* Tue Oct 19 2004 peter.pramberger@member.fsf.org
- new version 7.12.2

* Mon May 17 2004 peter.pramberger@member.fsf.org
- new version 7.11.2

* Sun Nov 02 2003 peter.pramberger@member.fsf.org
- new version 7.10.8

* Mon Aug 25 2003 peter.pramberger@member.fsf.org
- created

